Subject: Re: [PATCH v3 1/7] refs: plumb repo into ref stores

From: Josh Steadmon <[email-masked]>
Date: Thu, 7 Oct 2021 11:33:13 -0700

On 2021.09.29 16:06, Jonathan Tan wrote:
> In preparation for the next 2 patches that adds (partial) support for
> arbitrary repositories to ref iterators, plumb a repository into all ref
> stores. There are no changes to program logic.
> 
> (The repository is plumbed into the ref stores instead of directly into
> the ref iterators themselves, so that existing code that operates on ref
> stores do not need to be modified to also handle repositories.)

The second paragraph is a bit confusing, as in patch 2 we do end up
adding repository pointers into various iterators. Could you clarify
this a bit?